package com.yifu.cloud.plus.v1.yifu.insurances.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.yifu.cloud.plus.v1.yifu.common.mybatis.base.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 购买标准表
 * @TableName t_insurance_type_standard
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("t_insurance_type_standard")
@Tag(name = "购买标准表")
public class TInsuranceTypeStandard extends BaseEntity {
    /**
     * 
     */
    private String id;

    /**
     * 险种主键ID
     */
    private Long insuranceTypeId;

    /**
     * 购买标准
     */
    private String buyStandard;

    /**
     * 医疗额度
     */
    private String medicalQuota;

    /**
     * 身故或残疾额度
     */
    private String dieDisableQuota;

	/**
	 * 删除标志(0：未删除，1：删除)
	 */
	@Schema(description = "是否删除 0否/1是")
	private Integer deleteFlag;
}