package com.yifu.cloud.plus.v1.yifu.insurances.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yifu.cloud.plus.v1.yifu.insurances.entity.TInsuranceType;
import com.yifu.cloud.plus.v1.yifu.insurances.entity.TInsuranceTypeRate;
import com.yifu.cloud.plus.v1.yifu.insurances.entity.TInsuranceTypeStandard;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author Administrator
* @description 针对表【t_insurance_type(险种表)】的数据库操作Mapper
* @createDate 2022-07-18 17:19:23
* @Entity generator.domain.TInsuranceType
*/
@Mapper
public interface TInsuranceTypeMapper extends BaseMapper<TInsuranceType> {

	/**
	 * 根据险种id查询费率
	 *
	 * @author zhaji
	 * @param id 险种id
	 * @return {@link List< TInsuranceTypeRate>}
	 */
    List<TInsuranceTypeRate> selectInsuranceTypeRateList(@Param("id") String id);
	/**
	 * 根据险种id查询购买标准
	 *
	 * @author zhaji
	 * @param id 险种id
	 * @return {@link List< TInsuranceTypeStandard>}
	 */
	List<TInsuranceTypeStandard> selectInsuranceTypeStandardList(String id);
}
